## Tool: `get_health_docs`

Use this tool to retrieve the full Markdown content of 1 to 20 Google Health API documentation pages in a single call. Pass the document resource names (`documents/developers.google.com/health/...`) obtained from the `document` field of `search_health_docs` results in the `names` parameter. Each returned document has `name`, `title`, `sourceUrl`, and full `content`. When you use information from a document, you MUST cite the source by including its `sourceUrl` in your response to the user.

The following code sample shows how to use `curl` to call the `get_health_docs` MCP tool.

| Curl Request |
|---|
| ```bash curl --location 'https://healthdevelopers.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_health_docs", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' ``` |

## Input Schema

Request message for HealthKnowledgeService.GetHealthDocs.

### GetHealthDocsRequest

| JSON representation |
|---|
| ``` { "names": [ string ] } ``` |

| Fields ||
|---|---|
| `names[]` | `string` Required. The resource names of the Google Health API documentation pages to retrieve, as returned in `DocumentChunk.document` by `SearchHealthDocs`. Between 1 and 20 pages may be requested in a single call; documents are returned in the same order. Each entry must be at most 500 characters and must identify a public page under `documents/developers.google.com/health/`. |

## Output Schema

Response message for HealthKnowledgeService.GetHealthDocs.

### GetHealthDocsResponse

| JSON representation |
|---|
| ``` { "documents": [ { object (`Document`) } ] } ``` |

| Fields ||
|---|---|
| `documents[]` | ``object (`Document`)`` The requested documentation pages, in the same order as `names` in the request. |

### Document

| JSON representation |
|---|
| ``` { "name": string, "title": string, "sourceUrl": string, "content": string } ``` |

| Fields ||
|---|---|
| `name` | `string` The resource name of the page. Format: `documents/developers.google.com/health/{path}`. |
| `title` | `string` The page title, as published. |
| `sourceUrl` | `string` The canonical URL of the published page. It starts with `https://developers.google.com/health/`. Cite it when you use the content. |
| `content` | `string` The full page content in Markdown. |

### Tool Annotations


[Tool annotations](https://modelcontextprotocol.io/specification/latest/schema#toolannotations) are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.


Along with the title string, the following boolean hints are defined as follows:

- `readOnlyHint`: If true, the tool doesn't modify its environment. Default: false.
- `destructiveHint`: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
- `idempotentHint`: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
- `openWorldHint`: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ \| Idempotent Hint: ✅ \| Read Only Hint: ✅ \| Open World Hint: ❌